
/**
* Sptsel Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"
export default {

    "sptstm": defaultSptstm,
    "dlaxq": defaultDlaxq,
    "usfmod.labtxt": defaultUsfmodLabtxt,
    "usfmod.flt": defaultUsfmodFlt,
    "usfmod.shwflt": defaultUsfmodShwflt,
    "dlmft": defaultDlmft,
    "butimg": defaultButimg,
    "dflg": defaultDflg,
    "yptinf": defaultYptinf,
    "usfmod.usr.extkey": defaultUsfmodUsrExtkey,
}
function defaultSptstm() {

}
function defaultDlaxq() {
}
function defaultUsfmodLabtxt() {
}
function defaultUsfmodFlt() {
}
function defaultUsfmodShwflt() {
}
function defaultDlmft() {
}
function defaultButimg() {
}
async function defaultDflg() {
    let rtnmsg = await Api.post("sptsel/default/dflg", Utils.flatObject(this.model))
    if (rtnmsg.retcod == "AAAAAA") {
        //TODO 处理数据逻辑
        this.model = Utils.copyValueFromVO(this.model, rtnmsg.data);
    }
    else {
        this.$notify.error({ title: '错误', message: '服务请求失败！' });
    }
}
function defaultYptinf() {
    console.log(this.model.yptinf)
}
function defaultUsfmodUsrExtkey() {
}
